
Redmine - Defect #11391

Incompatibility between "builder 3.0.0" and Ruby 1.8.7, breaking reposman.rb

2012-07-13 16:48 - Jean-Sébastien Pédron

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM extra Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

reposman.rb doesn't work with Redmine 2.0.3 and Ruby 1.8.7 because of an incompatibility between the "builder" gem (v3.0.0) and

Ruby 1.8.7. It can be reproduced by going to http://redmine_hostname/sys/projects.xml?key=my_key.

The problem is explained in the following pull request: https://github.com/jimweirich/builder/pull/12

We could fix our problem here by using the gem from the pull request submitter, instead of the official gem. Here's the line we put in

our Gemfile.local:

gem 'builder', :git => 'https://github.com/elisehuard/builder.git', :ref => '53582a84556102b4d81f1

44f8c6a28cf9157516d'

(of course, we removed the gem "builder" line from Redmine's Gemfile)   Usual informations:

Redmine 2.0.3 from SVN r9959 (branches/2.0-stable)

Ruby 1.8.7

Rails 3.2.6

Debian Squeeze

History

#1 - 2012-07-13 17:19 - Jean-Philippe Lang

Tests are OK on the CI server with ruby 1.8.7 and builder 3.0.0.

#2 - 2012-07-15 13:48 - Toshi MARUYAMA

- Category set to SCM extra

#3 - 2015-04-05 09:44 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

The pull request to builder was merged. In addition, Redmine 3.0 dropped Ruby 1.8 support and Ruby 1.8.7 is no longer officially supported.

We can close this issue.
